/*--------------------------------------------------------------------------

    disspla.h

    This header file contains the function prototypes for DISSPLA subrou-
    tines, which are then callable from a C program (ANSI standard), subject
    to certain calling conventions.  Not all of the DISSPLA routines are 
    prototyped.

    Most recent revisions:  24 January 1992
    Authors:  Greg Roelofs, Julia Close

  --------------------------------------------------------------------------*/

#if !defined(__FORTRAN_H_)
#  include <fortran.h>        /* define _fcd type */
#endif


fortran void   AMBHSI   ( const double *, const double *, const double * );
fortran void   ARCG     ( const _fcd, const int *, const int * );
fortran void   AREA2D   ( const double *, const double * );
fortran void   BCOMON   ( const int * );
fortran void   BLREC    ( const double *, const double *, const double *,
                          const double *, const double * );
fortran void   COMPRS   ( void );
fortran void   CURVE    ( const double *, const double *, const int *,
                          const int * );
fortran void   DASH     ( void );
fortran void   DONEPL   ( void );
fortran void   DOT      ( void );
fortran void   DRWSCN   ( const _fcd );
fortran void   ENDGR    ( const int * );
fortran void   ENDPL    ( const int * );
fortran void   FACE     ( const int *, const int *, const int *, const int * );
fortran void   FASHON   ( void );
fortran void   FRAME    ( void );
fortran void   FUTURA   ( void );
fortran void   GRACE    ( const double * );
fortran void   GRAF     ( const double *, const double *, const double *,
                          const double *, const double *, const double * );
fortran void   GRAF3D   ( const double *, const double *, const double *,
                          const double *, const double *, const double *,
                          const double *, const double *, const double * );
fortran void   HAND     ( const _fcd );
fortran void   HEADIN   ( const _fcd, const int *, const double *,
                          const int * );
fortran void   HEIGHT   ( const double * );
fortran void   HIDE     ( void );
fortran void   HWCHAR   ( const double *, const double *, const double *,
                          const int *, const _fcd );
fortran void   HWROT    ( const _fcd );
fortran void   HWSHD    ( void );
fortran void   INISCN   ( void );
fortran void   INTAXS   ( void );
fortran void   INTNO    ( const int *, const void *, const void * );
                          /* second two arguments may be _fcd or double* */
fortran void   IOMGR    ( const void *, const int * );
                          /* first arg may be int* or _fcd */
fortran void   LIGHT    ( const int *, const double *, const double *,
                          const double * );
fortran void   LOGO1    ( void );
fortran void   MARKER   ( const int * );
fortran void   MESSAG   ( const _fcd, const int *, const void *, const void * );
                                                 /* void*:  _fcd or double* */
fortran void   NEWCLR   ( const _fcd );
fortran void   NEWOBJ   ( int * );   /* RETURNS VALUE */
fortran void   NOBRDR   ( void );
fortran void   NOCHEK   ( void );
fortran void   OBJVIS   ( const _fcd, const _fcd );
fortran void   PAGE     ( const double *, const double * );
fortran void   PHYSOR   ( const double *, const double * );
fortran void   PIEBOX   ( void );
fortran void   PIETOT   ( void );
fortran void   POPNAM   ( const _fcd, const int * );
fortran void   PSCRPT   ( const double *, const double *, const double * );
fortran void   RESET    ( const _fcd );
fortran void   RLVEC    ( const double *, const double *, const double *,
                          const double *, const int * );
fortran void   SCLPIC   ( const double * );
fortran void   SCMPLX   ( void );
fortran void   SERIF    ( void );
fortran void   SETHLT   ( const double *, const double * );
fortran void   SHADE    ( const double *, const double *, const int *,
                          const double *, const double *, const int *,
                          const int *, const int * );
fortran void   SHDCHR   ( const double *, const int *, const double *,
                          const int * );
fortran void   SWISSL   ( void );
fortran void   SWISSM   ( void );
fortran void   SWISSB   ( void );
fortran void   SYSBUF   ( void );
fortran void   THKFRM   ( const double * );
fortran void   VERTEX   ( const double *, const double *, const double *,
                          const int *, int * );   /* RETURNS VALUE */
fortran void   VIEW     ( const double *, const double *, const double * );
fortran void   VOLM3D   ( const double *, const double *, const double * );
fortran void   VUABS    ( const double *, const double *, const double * );
fortran void   X3NAME   ( const _fcd, const int * );
fortran void   XGRAXS   ( const double *, const double *, const double *,
                          const double *, const _fcd, const int *,
                          const double *, const double * );
fortran void   XINTAX   ( void );
fortran void   XNAME    ( const _fcd, const int * );
fortran void   XNONUM   ( void );
fortran void   Y3NAME   ( const _fcd, const int * );
fortran void   YAXANG   ( const double * );
fortran void   YGRAXS   ( const double *, const double *, const double *,
                          const double *, const _fcd, const int *,
                          const double *, const double * );
fortran void   YINTAX   ( void );
fortran void   YNAME    ( const _fcd, const int * );
fortran void   YNONUM   ( void );
fortran void   Z3NAME   ( const _fcd, const int * );
fortran void   ZINTAX   ( void );
fortran void   ZNONUM   ( void );
