/*..........................................................................*/
#if defined(EGA)

/********************************/
/*  Function initialize_plot()  */
/********************************/

void initialize_plot( void )
  {
    short          text_width = 11;
    short          ixlow = 8*text_width,  iylow = 0;
    short          ixhigh = 639,          iyhigh = 349;



/*--------------------------------------------------------------------------
    Set video mode to EGA 16-color graphics, write header, set viewport,
    initialize some variables, then exit.
  --------------------------------------------------------------------------*/

    _setvideomode( _ERESCOLOR );

    _settextwindow( 1, 1, 25, text_width );
    _settextcolor( 5 );
    _outtext("delaunay.c\n");

/*  only plot to right of status area; origin will be moved right 88 pixels */
    _setviewport( ixlow, iylow, ixhigh, iyhigh );

/*  conversion factors for physical coords to pixel values                  */
    x_convert = ( (double) (ixhigh - ixlow) ) / (XMAX - XMIN);
    y_convert = ( (double) (iyhigh - iylow) ) / (YMIN - YMAX);

  } /* end function initialize_plot() */





/****************************/
/*  Function plot_points()  */
/****************************/

void plot_points( void )
  {
    char           buffer[80];
    int            i, j;
    short          ix, iy;
    static short   subtext_color   = 9;
    static short   reg_point_color = 15, new_point_color = 12;
    static short   reg_edge_color  = 10, new_edge_color  = 14;



/*--------------------------------------------------------------------------
    Draw all the points.
  --------------------------------------------------------------------------*/

    _setcolor( reg_point_color );

/*  loop through "real" points and plot them (color = bright white) --      */
/*  include central "fake" point, if exists                                 */
    for ( i = 3  ;  i < num_points+3  ;  i++ )
      {
        ix = (Pt[i].x - XMIN)*x_convert + .5;
        iy = (Pt[i].y - YMAX)*y_convert + .5;

        _setpixel( ix, iy );
/*      getch();      */
      }

  } /* end function plot_points() */

#endif  /* (defined(EGA)) */
/*..........................................................................*/
